"kappa.berrmatrix" <-
function(z,wts=NULL,print=TRUE,round=3,...) {
  #z used to just be the simulation result,
  #now it is a list, but we only want the simulation part
  z <- z$result
  gibbs <- dim(z)[1]
  k <- sqrt(dim(z)[2])
  if( (k-as.integer(k)) != 0 ) 
    stop("z must be gibbs by k*k")

  
  if(is.null(wts)) {
    wts <- diag(rep(1,k))
  }

  aa <- diag(c(t(wts)))
  zw <- z %*% aa

  theta1 <- apply(zw,1,sum)
  indices <- matrix(1:(k*k),k,k,byrow=TRUE)
  colsums <- matrix(0,gibbs,k)
  rowsums <- rep(0,k)
  for(i in 1:k) {
    colsums[,i] <- apply(z[,indices[,i]],1,sum,na.rm=TRUE)
    #all rowsums will be the same, so only need to check first line
    rowsums[i] <- sum(z[1,indices[i,]],na.rm=TRUE)
  }

  theta2.p1 <- aa %*% rep(rowsums,rep(k,k))
  theta2 <- apply(colsums,1,FUN=function(row){rep(row,k) %*% theta2.p1})
  kappa <- (theta1-theta2)/(1-theta2)

  if(print) print(round(quantile(kappa,c(0.5,0.025,0.975),na.rm=TRUE),round))
  return(invisible(kappa))
}
