"panel.bwsuperpose" <-
function (x, y = NULL, subscripts, groups, panel.groups = "panel.bw95plot", 
            col, col.line = superpose.line$col, col.symbol = superpose.symbol$col, 
            pch = superpose.symbol$pch, cex = superpose.symbol$cex, font = superpose.symbol$font, 
            fontface = superpose.symbol$fontface, fontfamily = superpose.symbol$fontfamily, 
            lty = superpose.line$lty, lwd = superpose.line$lwd, fill = superpose.symbol$col,...) 
{
  x <- as.numeric(x)
  if (!is.null(y)) 
    y <- as.numeric(y)
  if (length(x) > 0) {
    if (!missing(col)) {
      if (missing(col.line)) 
        col.line <- col
      if (missing(col.symbol)) 
        col.symbol <- col
    }
    superpose.symbol <- trellis.par.get("superpose.symbol")
    superpose.line <- trellis.par.get("superpose.line")
    
    vals <- if (is.factor(groups)) 
      levels(groups)
    else sort(unique(groups))
    nvals <- length(vals)
    col.line <- rep(col.line, length = nvals)
    col.symbol <- rep(col.symbol, length = nvals)
    fill <- rep(fill, length=nvals)
    pch <- rep(pch, length = nvals)
    lty <- rep(lty, length = nvals)
    lwd <- rep(lwd, length = nvals)
    cex <- rep(cex, length = nvals)
    font <- rep(font, length = nvals)
    fontface <- rep(fontface, length = nvals)
    fontfamily <- rep(fontfamily, length = nvals)
    panel.groups <- if (is.function(panel.groups)) 
      panel.groups
    else if (is.character(panel.groups)) 
      get(panel.groups)
    else eval(panel.groups)
    for (i in seq(along = vals)) {
      id <- (groups[subscripts] == vals[i])
      if (any(id)) {
        args <- list(x = x[id], groups = groups, subscripts = subscripts[id], 
                     pch = pch[i], cex = cex[i], font = font[i], 
                     fontface = fontface[i], fontfamily = fontfamily[i], 
                     col.line = col.line[i], col.symbol = col.symbol[i], 
                     lty = lty[i], lwd = lwd[i], fill =col.symbol[i], ...)
        if (!is.null(y)) 
          args$y <- y[id]
        do.call("panel.groups", args)
      }
    }
  }
}


