"producers" <-
function(x,wts=NULL,print=TRUE,round=3) {

  #x used to just be the simulation result,
  #now it is a list, but we only want the simulation part
  x <- x$result


  k <- sqrt(dim(x)[2])
   if ((k - as.integer(k)) != 0) 
    stop("x must be gibbs by k*k")

  if(is.null(wts)) {
    wts <- diag(rep(1,k))
  }
  aa <- diag(c(t(wts)))
  xw <- x %*% aa
  dimnames(xw)[[2]] <-   dimnames(x)[[2]]
  
  gibbs <- dim(x)[1]
  if( (k-as.integer(k)) != 0 ) 
    stop("x must be gibbs by k*k")
  indices <- matrix(1:(k*k),k,k,byrow=T)
  pproducer <- matrix(0,gibbs,k)
  for(i in 1:k) {
    pproducer[,i] <- apply(xw[,indices[,i]],1,sum)/apply(x[,indices[,i]],1,sum)
  }
  bb <- dimnames(x)[[2]][diag(matrix(1:(k*k),byrow=T,k,k))]
  bb <- substr(bb,1,nchar(bb)/2)
  dimnames(pproducer)[[2]] <- bb
  if(print) print(round(apply(pproducer,2,quantile,prob=c(0.5,0.025,0.975),na.rm=TRUE),round))
  return(invisible(pproducer))
}
